#include <stdio.h>
#include <netdb.h>
#include <sys/param.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include "localip.h"


char *localip(void)
{
	char hostname[MAXHOSTNAMELEN];
	struct hostent *h;
	struct in_addr in;

	if (gethostname(hostname, MAXHOSTNAMELEN) == -1)
		return(NULL);

	if ((h = gethostbyname(hostname)) == NULL)
		return(NULL);

	in.s_addr = 0;
	in.s_addr |= (*(*h -> h_addr_list)++ & 0xff);
	in.s_addr |= ((*(*h -> h_addr_list)++ & 0xff) << 8);
	in.s_addr |= ((*(*h -> h_addr_list)++ & 0xff) << 16);
	in.s_addr |= ((*(*h -> h_addr_list) & 0xff) << 24);

	return(inet_ntoa(in));
}
